### Method

# Clutter Stage get_event_actor

#### Declaration [src]

    ClutterActor*
    clutter_stage_get_event_actor (
      ClutterStage* stage,
      const ClutterEvent* event
    )

#### Description [src]

Retrieves the current focus actor for an event. This is the key focus for key events and other events directed to the key focus, or the actor directly under the coordinates of a device or touch sequence.

The actor is looked up at the time of calling this function, and may differ from the actor that the stage originally delivered the event to.

#### Parameters

`event`

  Type: `ClutterEvent`

  An event received on the stage.

  The data is owned by the caller of the method.

#### Return value

Type: `ClutterActor`

A pointer to the `ClutterActor` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.